#ifndef __STM32F4_IO_CUSTOMCODE_H
#define __STM32F4_IO_CUSTOMCODE_H

#include "waijung_hwdrvlib.h"

#define __CC_ARM 
#define __TARGET_FPU_VFP
#define ARM_MATH_CM4

#include "math.h"
#include "arm_math.h"

#define TEST_LENGTH_SAMPLES 1

#define NUM_TAPS 1
static float32_t testInput_f32_50HZ_200HZ;
static float32_t testOutput;
static float32_t IIRStateF32[4*NUM_TAPS];

	float32_t ScaleValue=0.015466291403103363f;



	arm_biquad_casd_df1_inst_f32 s; 
	//float32_t *inputF32,*outputF32;

const float32_t iircoffs[5*NUM_TAPS]=
{1.0f, 1.0f,  0.0f,  -0.9690674171937933f, 0.0f };


void start_customio(void);

void enable_customio(void);

void output_customio(uint16_t in1,uint16_t *out1);

void disable_customio(void);

#endif
